Package com.norconex.commons.lang.flow.module

# Class FlowDeserializer<T>

java.lang.Object
tools.jackson.databind.ValueDeserializer<Consumer<T>>
com.norconex.commons.lang.flow.module.FlowDeserializer<T>

Type Parameters:
  `T` - type type of object being deserialized

All Implemented Interfaces:
  `tools.jackson.databind.deser.NullValueProvider`

public class FlowDeserializer<T> extends tools.jackson.databind.ValueDeserializer<Consumer<T>>
Flow deserializer.

Since:
  3.0.0

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class tools.jackson.databind.ValueDeserializer

  `tools.jackson.databind.ValueDeserializer.None`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FlowDeserializer(FlowMapperConfig config, tools.jackson.databind.ValueDeserializer<?> defaultDeserializer)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `tools.jackson.databind.ValueDeserializer<?>`
  `createContextual(tools.jackson.databind.DeserializationContext ctxt, tools.jackson.databind.BeanProperty property)`
  `Consumer<T>`
  `deserialize(tools.jackson.core.JsonParser p, tools.jackson.databind.DeserializationContext ctx)`
  `void`
  `resolve(tools.jackson.databind.DeserializationContext ctxt)`

  ### Methods inherited from class tools.jackson.databind.ValueDeserializer

  `collectAllPropertyNamesTo, deserialize, deserializeWithType, deserializeWithType, findBackReference, getAbsentValue, getDelegatee, getEmptyAccessPattern, getEmptyValue, getKnownPropertyNames, getNullAccessPattern, getNullValue, getObjectIdReader, handledType, hasAnySetter, isCachable, logicalType, replaceDelegatee, supportsUpdate, unwrappingDeserializer`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FlowDeserializer

    public FlowDeserializer(FlowMapperConfig config, tools.jackson.databind.ValueDeserializer<?> defaultDeserializer)

- ## Method Details

  - ### deserialize

    public Consumer<T> deserialize(tools.jackson.core.JsonParser p, tools.jackson.databind.DeserializationContext ctx)
    Specified by:
      `deserialize` in class `tools.jackson.databind.ValueDeserializer<Consumer<T>>`

  - ### createContextual

    public tools.jackson.databind.ValueDeserializer<?> createContextual(tools.jackson.databind.DeserializationContext ctxt, tools.jackson.databind.BeanProperty property) throws tools.jackson.databind.DatabindException
    Overrides:
      `createContextual` in class `tools.jackson.databind.ValueDeserializer<Consumer<T>>`
    Throws:
      `tools.jackson.databind.DatabindException`

  - ### resolve

    public void resolve(tools.jackson.databind.DeserializationContext ctxt) throws tools.jackson.databind.DatabindException
    Overrides:
      `resolve` in class `tools.jackson.databind.ValueDeserializer<Consumer<T>>`
    Throws:
      `tools.jackson.databind.DatabindException`